﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TabControl_Q1
{
    public class ViewModel : ViewModelBase
    {
        public ViewModel()
        {
            this.BottomTabs = new ObservableCollection<RadTabItem>();
            for (int i = 0; i < 100; i++)
            {
                this.BottomTabs.Add(new RadTabItem() { Header = "Item " + i });
            }
            SelectedBottomTab = this.BottomTabs[3];
        }

        private ObservableCollection<RadTabItem> _BottomTabs;
        public ObservableCollection<RadTabItem> BottomTabs
        {
            get { return _BottomTabs; }
            set
            {
                if (_BottomTabs != value)
                {
                    _BottomTabs = value;
                    this.OnPropertyChanged("BottomTabs");
                }
            }
        }

        private RadTabItem _SelectedBottomTab = null;
        public RadTabItem SelectedBottomTab
        {
            get { return _SelectedBottomTab; }
            set
            {
                if (_SelectedBottomTab != value)
                {
                    _SelectedBottomTab = value;
                    this.OnPropertyChanged("SelectedBottomTab");
                }

            }
        }
    }
}
