﻿// -----------------------------------------------------------------------
// <copyright file="SampleViewModel.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace TabControl_Q1
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;
    using Telerik.Windows.Controls;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class SampleViewModel : ViewModelBase
    {
        public SampleViewModel()
        {
            Persons = new ObservableCollection<Person>();
            for (int i = 0; i < 50; i++)
            {
                Persons.Add(new Person() { Name = "Person " + i });
            }
            SelectedBottomTab = this.Persons[3];
        }

        public ObservableCollection<Person> Persons
        {
            get;
            set;
        }

        private Person _SelectedBottomTab = null;
        public Person SelectedBottomTab
        {
            get { return _SelectedBottomTab; }
            set
            {
                if (_SelectedBottomTab != value)
                {
                    _SelectedBottomTab = value;
                    this.OnPropertyChanged("SelectedBottomTab");
                }

            }
        }
    
    }
}
